let socket;

window.onload = function() {
    socket = new WebSocket(`ws://${location.hostname}:3001`);

    socket.onopen = function() {
        document.querySelector('input').oninput = function() {
            if (this.value.length >= 1) {
                this.value = this.value[this.value.length - 1];
                socket.send(this.value);
            }
        }
        document.querySelector('form').onsubmit = function() {
            socket.send('\r\n');
            document.querySelector('input').value = '';
            return false;
        }
    };

    socket.onmessage = function(event) {
        const reader = new FileReader();
        reader.onload = function() {
            document.querySelector('#messages').textContent += reader.result;
        }
        reader.readAsText(event.data);
    }
}
    
